// geo-types.js
// Copyright (C) 2022 DTP Technologies, LLC
// License: Apache-2.0

'use strict';

const mongoose = require('mongoose');
const Schema = mongoose.Schema;

module.exports.GeoPoint = new Schema({
  type: { type: String, enum: ['Point'], default: 'Point', required: true },
  coordinates: { type: [Number], required: true },
});

module.exports.GeoIp = new Schema({
  country: { type: String },
  region: { type: String },
  eu: { type: String },
  timezone: { type: String },
  city: { type: String },
  location: { type: module.exports.GeoPoint },
});